# Uses of Class
org.jmol.modelset.Chain

Packages that use Chain
Package
Description
org.jmol.modelset
org.jmol.modelsetbio

## Uses of Chain in org.jmol.modelset

Fields in org.jmol.modelset declared as Chain
Modifier and Type
Field
Description
`Chain`
Group.`chain`
required
`Chain[]`
Model.`chains`
Methods in org.jmol.modelset that return Chain
Modifier and Type
Method
Description
`Chain`
Model.`getChainAt(int i)`
Methods in org.jmol.modelset with parameters of type Chain
Modifier and Type
Method
Description
`Group`
Group.`setGroup(Chain chain, String group3, int seqcode, int firstAtomIndex, int lastAtomIndex)`

## Uses of Chain in org.jmol.modelsetbio

Methods in org.jmol.modelsetbio with parameters of type Chain
Modifier and Type
Method
Description
`Group`
BioResolver.`distinguishAndPropagateGroup(Chain chain, String group3, int seqcode, int firstAtomIndex, int lastAtomIndex, int[] specialAtomIndexes, Atom[] atoms)`
`protected Monomer`
Monomer.`set2(Chain chain, String group3, int seqcode, int firstAtomIndex, int lastAtomIndex, byte[] interestingAtomOffsets)`
`static Monomer`
NucleicMonomer.`validateAndAllocate(Chain chain, String group3, int seqcode, int firstAtomIndex, int lastAtomIndex, int[] specialAtomIndexes)`